<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>FilterSignatures xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/filters/FilterSignatures.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/*****************************************************************************</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2013 CEA LIST.</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_javadoccomment"> *  Ansgar Radermacher  ansgar.radermacher@cea.fr</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_javadoccomment"> *****************************************************************************/</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.transformation.core.transformations.filters;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EObject;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.core.copylisteners.PreCopyListener;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.TemplateSignature;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_javadoccomment"> * Remove signatures from package template (only remove signatures within the</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment"> * template, not others)</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment"> * @author ansgar</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/FilterSignatures.html">FilterSignatures</a> <strong class="jxr_keyword">implements</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/copylisteners/PreCopyListener.html">PreCopyListener</a> {
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">static</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/FilterSignatures.html">FilterSignatures</a> getInstance() {
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  		<strong class="jxr_keyword">if</strong> (instance == <strong class="jxr_keyword">null</strong>) {
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  			instance = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/FilterSignatures.html">FilterSignatures</a>();
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  		}
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  		<strong class="jxr_keyword">return</strong> instance;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  	}
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  	@Override
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  	<strong class="jxr_keyword">public</strong> EObject preCopyEObject(<a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html">LazyCopier</a> copier, EObject sourceEObj) {
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  		<strong class="jxr_keyword">if</strong> (sourceEObj instanceof TemplateSignature) {
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  			<strong class="jxr_keyword">if</strong> (copier.withinTemplate(sourceEObj)) {
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  				<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  			}
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  		}
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  		<strong class="jxr_keyword">return</strong> sourceEObj;
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  	}
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <a href="../../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/filters/FilterSignatures.html">FilterSignatures</a> instance = <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
